Data
Export results
Retrieves the results for the specified dataCode as an XLSX file. While the results are not ready, the endpoint returns 202 Accepted with no body. When the file is ready, the endpoint returns 200 OK with the file as an attachment. If no export exists for the dataCode, the endpoint returns 204 No Content.
GET
/
results
/
export
Export results
curl --request GET \
--url https://api.kameleoon.com/results/exportimport requests
url = "https://api.kameleoon.com/results/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kameleoon.com/results/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kameleoon.com/results/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kameleoon.com/results/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kameleoon.com/results/export")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kameleoon.com/results/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"<string>"{
"serviceName": "<string>",
"message": "<string>"
}{
"serviceName": "<string>",
"message": "<string>"
}{
"serviceName": "<string>",
"message": "<string>"
}{
"serviceName": "<string>",
"message": "<string>"
}Query Parameters
Response
OK
The response is of type file.
Was this page helpful?
⌘I
Export results
curl --request GET \
--url https://api.kameleoon.com/results/exportimport requests
url = "https://api.kameleoon.com/results/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kameleoon.com/results/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kameleoon.com/results/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kameleoon.com/results/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kameleoon.com/results/export")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kameleoon.com/results/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"<string>"{
"serviceName": "<string>",
"message": "<string>"
}{
"serviceName": "<string>",
"message": "<string>"
}{
"serviceName": "<string>",
"message": "<string>"
}{
"serviceName": "<string>",
"message": "<string>"
}